* {
  margin: 0;
  padding: 0;
  font-family: "Quantico", sans-serif !important;
  font-weight: 700;
  font-style: normal;
}

h2 {
  font-size: 2.5rem !important;
}

img {
  display: block;
}

.navigation {
  margin-top: 25px;
  /* height: 74px;  */
  align-items: center;
  place-content: center;
  display: flex;
  border-radius: 16px;
}

.nav-left {
  display: grid;
  position: relative;
  grid-template-columns: 15vh 30vh 3.5vh 3.5vh 3.5vh 3.5vh;
  grid-auto-rows: 12.5vh;
  width: 100%;
  column-gap: 1%;
}

.title {
  text-align: center;
  width: 100%;
  font-size: 2rem;
  display: flex;
  margin: auto;
  place-self: center;

}

.nav-left > a > span > img {
  width: 100%;
  object-fit: contain;
  display: flex;
  padding: 0;
  margin: 0;
  aspect-ratio: 1 / 1;
  max-height: 100%;
}
.nav-left > a {
  display: flex;
}



.nav-left span {
  font-size: 1.5rem !important;
}


ul {
  display: inline-block;
  margin: 5%;
  padding: 0;
}

.nav-left ul {
  display: flex;
  align-items: center;
  margin: 0 77px;
  font-size: 1.5rem;
}

.nav-left ul li {
  list-style: none;
  margin: 0 1vw;
  font-family: var(--font2);
  transition: all 0.3s ease-in-out;
}

.nav-left ul li a {
  text-decoration: none;
  color: #fafafa;
  padding: 0;
  display: flex;
  margin: auto;
}

.nav-left ul li a:hover {
  color: var(--main-bg-color);
  font-weight: bolder;
}

.content-left > h1 {
  font-size: 3rem;
}

.content {
  height: 100%;
  display: flex;
  margin-top: 32px;
  padding: 3vw;
  position: relative;
  font-size: 1rem;
  background-color: rgba(50, 56, 63, 0.5);
  border-radius: 32px;
}

.content::after {
  content: "";
  position: absolute;
  width: 100%;
  height: inherit;
  opacity: 0.15;
  border-radius: 12px;
}

.content-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  z-index: 1;
  width: 100%;
  font-size: 1.5rem;
}

.content-right {
  display: flex;
  align-items: center;
  justify-content: center;
}

.content-right img {
  border: 2px solid black;
  border-radius: 200px;
  width: 75%;
}

.home-articles {
  padding: 18px;
  background-color: rgb(248, 239, 239, 0.5);
  margin-top: 23px;
  position: relative;
  display: block;
}


.home-article {
  display: block;
  margin: 25px;
  background-color: #60676a;
  padding: 3.5%;
  border-radius: 16px;
}

.home-article img {
  width: 256px;
}

.home-article-content {
  align-self: center;
  padding: 25px;
}

.home-article-content a {
  text-decoration: none;
  color: black;
}
.home-articles{
  border-radius: 16px;
}
.footer {
  height: 50px;
  background-color: var(--main-bg-color);
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  flex-direction: column;
}

.footer a {
  color: white;
}


.navigation {
  background-color: #111111 !important;
}

.postheader {
  font-size: 2rem !important;
  text-align: center;
}

#blogtitlebar {
  grid-column: 1 / -1;
  font-size: 4rem !important;
  display: flex;
  margin-bottom: 1%;
}
#blogtitle {
  font-size: 3rem !important;
}

#contentbody {
  background-color: #32383f;
  height: fit-content;
  width: 75%;
  place-self: center;
  margin-top: 2%;
  border-radius: 32px;
}

#postheader {
  font-size: 3rem;
  text-align: center;
  width: 80%;
  background-color: rgb(17, 17, 17);
  border-radius: 32px;
  padding: 3%;
  display: flex;
  margin: auto;
  margin-top: 3%;
}

#posttitle {
  font-size: 3rem;
  text-align: center;
  float: right;
  place-self: center;
  display: flex;
  margin-left: 25%;
}

#postcontent {
  font-size: 1.5rem;
  display: block;
}

#featuredimg {
  width: 20vh;
  place-self: center;
}

h3 {
  font-size: 2rem !important;
}

#latestwrapper {
  place-self: center;
  background-color: rgba(50, 56, 63, 0.5);
  padding: 2%;
  border-radius: 32px;
  display: grid;
  place-content: center;
  width: 40%;
  float: left;
  margin-bottom: 5%;
  row-gap: 3%;
}

#latestwrapper img {
  float: left;
  width: 40%;
  border-radius: 32px;
  margin-right: 5%;
}

.latestpostheader {
  text-align: center;
  font-size: 2rem !important;
  color: white;
  text-decoration: underline;
  width: 100%;
  background-color: rgb(17, 17, 17);
  padding: 5%;
  border-radius: 64px;
  margin-top: 7%;
}

#latestheader {
  font-size: 2.25rem !important;
  text-align: center;
  margin: 5%;
}

.latestpreview {
  display: -webkit-box;
  -webkit-line-clamp: 8;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 0.65em;
  background-color: #23262a;
  padding: 2%;
  border-radius: 32px;
}

.latestpreview h2 {
    font-size: 1em !important;
}


.latestpreview img {
  display: none;
}

#latestarticles {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 100%;
}

.seperator {
  width: 80%;
  border-top: 16px solid white;
  place-self: center;
  margin: 4%;
  display: flex;
}

#articles {
  background-color: rgba(50, 56, 63, 0.5);
  margin-bottom: 5%;
}

#latest-card {
  background-color: rgba(122, 122, 122, 0.3);
  padding: 1%;
  place-content: center;
  border-radius: 32px;
  place-self: center;
}

.postimg {
  place-self: center;
  border-radius: 32px;
  display: flex;
  margin: auto;
}

.oldpostheader {
  font-size: 1.35rem !important;
  text-align: center !important;
  background-color: rgba(35, 38, 42, 0.5);
  padding: 5%;
  float: right;
  border-radius: 32px;
  text-decoration: underline;
  width: 100%;
  display: flex;
  margin: auto;
  color: white !important;
}

#latestsection {
  width: 80%;
  background-color: rgba(23, 23, 23, 0.5);
  place-self: center;
  padding: 5%;
  border-radius: 32px;
  margin-top: 0;
  margin-bottom: 10%;
}

.blogdesc {
  text-align: center;
  font-size: 2.5rem !important;
  place-self: center;
  width: 50%;
  display: flex;
  margin: auto;
}


input {
  font-size: 2rem !important;
  border-radius: 32px !important;
  background-color: #545a61 !important;
  color: black !important;
  width: 25% !important;
  margin-left: 2% !important;
}

.articlesection {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding: 2%;
  background-color: rgba(92, 92, 92, 0.3);
  margin-top: 23px;
  position: relative;
  border-radius: 32px;
}

summary::after {
  content: '▶' !important;
  font-size: 1.5rem;
  display: inline-block;
  transition: transform 0.2s;
  transform: rotate(0deg) !important;
}

details[open] summary::after {
  transform: rotate(90deg) !important;
}

#burgerwrapper2 {
  display: none;
}

#articlelinks summary {
  place-content: center;
  place-self: center;
  text-align: center;
  justify-content: center;
  display: flex;
  margin-bottom: 0;
}

#articlelinks summary:after {
    margin-bottom: 0;
    place-self: center;
    display: flex;
    margin-top: 10%;
}


#articlelinks summary h2 {
  margin-bottom: 0;
  place-self: center;
  display: flex;
  margin-top: 10%;
}

.burgerseperator {
  width: 100%;
  background-color: white;
  height: 40%;
  display: block;
  border-radius: 16px;
}

#articlelinks a {
  font-size: 1.25rem;
}

.categorylinks {
  background-color: rgba(50, 56, 63, 0.5);
  padding: 2%;
}





#articleli {
  display: flex;
}

#articlemenu {
  display: none;
}
#articlewrapper {
  display: flex;
  margin: auto;
}
#articlewrapper2 button{
  display: flex;
  background-color: transparent !important;
  border: none !important;
}


#articlebutton h2 {
  font-size: 1.5rem !important;
  margin-bottom: 0;
}

#articlebutton,
#articlebutton:hover,
#articlebutton:active,
#articlebutton:focus,
#articlebutton:disabled {
  border: none !important;
  box-shadow: none !important;
}

#articlewrapper2 {
  display: flex;
}

#articlemenu ul {
  display: flex;
  font-size: 1rem;
  background-color: rgba(63, 68, 73, 0.75);
  border-radius: 16px;
  flex-direction: column;
  position: absolute;
  transform: translate(5%, -10%);
  z-index: 100;
}